MacDocParserInternal::State Struct Reference

Internal: the state of a MacDocParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::map< int, MWAWEntry > | m_idPictureMap
| the picture page map
std::vector< Index > | m_indexList
| the index list
std::map< int, MWAWFont > | m_idFontMap
| a map id to index font
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document

## Detailed Description

Internal: the state of a MacDocParser.

## Constructor & Destructor Documentation

## State()

MacDocParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int MacDocParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_idFontMap

std::map<int, MWAWFont> MacDocParserInternal::State::m_idFontMap

a map id to index font

Referenced by State().

## m_idPictureMap

std::map<int,MWAWEntry> MacDocParserInternal::State::m_idPictureMap

the picture page map

Referenced by State().

## m_indexList

std::vector<Index> MacDocParserInternal::State::m_indexList

the index list

Referenced by State().

## m_numPages

int MacDocParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

The documentation for this struct was generated from the following file:

- MacDocParser.cxx